QGIS Application - Bug report #7703
WKT import two problems
2013-04-25 04:39 AM - John Sankey

Status: Closed
Priority: Normal
Assignee:
Category: Data Provider/Delimited Text
Affected QGIS version:1.8.0 Regression?: No
Operating System: Mac OSX Easy fix?: No
Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 16614
Description

TEST.CSV

id,wkt

1,"POLYGON((10 10,20 20,20 30,20 10))"

vector imports with correct values and individual points can be edited. But, no feature can be selected that was imported this way, so they
can't be moved. New features added manually can be selected and moved normally. Maybe related, only wkt-created features fully
contained within the view are shown, wkt-features that have even a small bit outside the view vanish; features added manually behave
normally by showing the portion in the view. Layer editing capabilities are normal (full).

History

#1 - 2013-04-25 04:42 AM - John Sankey

Something's wrong with the editor here: there were two opening parentheses, four wkt-compliant value pairs, and one more closing parenthesis after

POLYGON above: ((10 10,20 20,20 30,20 10)

#2 - 2013-04-25 08:31 AM - John Sankey

Two QGIS 1.8.0 users on Windows say neither of these problems occur with them. Seems as though it's specific to Mac. I've put up the files QGIS created

at http://johnsankey.ca/QGISWKT.ZIP in hopes it will help. Also, I've found that the problem features aren't recognized by id, but the ones added by QGIS

are.

#3 - 2013-05-01 07:35 AM - John Sankey

I've now found that | can get stuff from WKT by pasting it into QuickWKT, then pasting the WKT-created feature into a QGIS-created layer. It has to be
done one feature at a time, so is impractical for a dataset of any size. When the shape file created this way is loaded into QGIS as a new project, the
coordinates show properly in the mouse tracking X,Y window (0-30 m) but the indicated scale is crazy: in the 3 million range. The print engine gets that
crazy scale, but displays and prints the 0-30 m features properly.

WKT seems to be the only way numerical coordinate maps can be imported into QGIS. It's critical that at least one such method works. There are
thousands of maps published only in numerical coordinate form - | have a dozen of mine from as long as 30 years ago that are still frozen in a Win3.1
system that only outputs true CSV: x,y<EOL>

#4 - 2013-05-01 09:50 AM - John Sankey
http://johnsankey.ca/QGISWKT.ZIP

An added note: using map units for labelling etc. works normally, they all seem to ignore the indicated scale.

#5 - 2014-06-21 11:03 AM - Jiirgen Fischer
- Category set to Data Provider/Delimited Text
- Status changed from Open to Feedback

is this still valid? Do you use "add delimited text layer" (delimited text provider) or "add vector layer" (ogr). Does the CSV use CR, CRLF or LF as line
endings?

#6 - 2014-10-08 08:40 AM - Giovanni Manghi
- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback, please reopen if necessary.
